SDIFF(1)

NOM
sdiff - Chercher les différences entre deux fichiers et fusionner interactivement

SYNOPSIS
sdiff -o fichier_sortie [options] source cible

DESCRIPTION
La commande sdiff fusionne deux fichiers et produit interactivement le résultat dans fichier_sortie. Si source est un répertoire et cible n'en est pas un, sdiff compare le fichier de source dont le nom est celui de cible, et réciproquement. source et cible ne peuvent pas être tous les deux des répertoires. Les options de sdiff commencent par un tiret -, aussi, les fichiers source et cible ne devraient pas commencer par un tiret -. Toutefois, le double tiret -- est un argument spécial signifiant « fin des options », ainsi, des noms de fichiers commençant par un tiret peuvent être mentionnés à sa suite. Vous ne pouvez pas utilisez un tiret - comme fichier d'entrée. sdiff sans l'option -o (ou --output) produit une différence côte-à-côte. Cette utilisation est obsolète, utilisez diff --side-by-side à la place.

OPTIONS
Voici une liste de l'ensemble des options que la version GNU de sdiff accepte. La plupart des options ont deux noms équivalents, l'un constitué d'une seule lettre précédée par -, l'autre composé d'un nom long plus explicite précédé par --. Plusieurs options avec lettre unique (sauf si elles prennent un argument) peuvent être combinées en un seul mot de la ligne de commande. Les options avec un nom long peuvent être abrégées s'il n'y a pas d'ambiguïté.

-a  Traiter tous les fichiers comme du texte et les comparer ligne-à-ligne, même s'ils semblent contenir des données binaires.

-b  Ne pas tenir compte des différences concernant les espaces blanches.

-B  Ne pas tenir compte des différences concernant les lignes blanches.

-d  Modifier l'algorithme pour trouver éventuellement des ensembles de changements plus petits. Cela rend sdiff plus lent (parfois beaucoup plus lent).

-H  Utiliser une heuristique accélérant le traitement des gros fichiers ayant de nombreux petits changements dispersés.

--expand-tabs
    Développer les tabulations en espaces en sortie, afin de préserver l'alignement des tabulations des fichiers d'entrée.

-i  Ignorer les différences entre majuscules et minuscules.

-I regexp
    Ignorer les changements consistant seulement en l'insertion ou la suppression de lignes correspondant à l'expression régulière regexp.

--ignore-all-space
    Ignorer les espaces lors des comparaisons de lignes.

--ignore-blank-lines
    Ignorer les changements consistant uniquement en l'insertion ou la suppression de lignes blanches.

--ignore-case
    Ignorer les différences entre majuscules et minuscules.

--ignore-matching-lines=regexp
    Ignorer les changements consistant seulement en l'insertion ou la suppression de lignes correspondant à l'expression rationnelle regexp.

--ignore-space-change
    Ignorer les changements concernant le nombre d'espaces blanches.

-l

--left-column
    N'afficher que la colone de gauche des lignes communes dans le format côte-à-côte.

--minimal
    Modifier l'algorithme pour trouver éventuellement des ensembles de changements plus petits. Ceci rend sdiff plus lent (parfois beaucoup plus lent).

-o fichier

--output=fichier
    Mettre la sortie fusionnée dans fichier. Cette option est nécessaire pour la fusion.

-s

--suppress-common-lines
    Ne pas afficher les lignes communes dans le format côte-à-côte.

--speed-large-files
    Utiliser une heuristique accélérant le traitement des gros fichiers ayant de nombreux petits changements dispersés.

-t  Développer les tabulations en espaces en sortie, afin de préserver l'alignement des tabulations des fichiers d'entrée.

--text
    Traiter tous les fichiers comme du texte, et les comparer ligne-à-ligne, même s'ils semblent contenir des données binaires.

-v

--version
    Afficher le numéro de version de sdiff.

-w nombre

--width=nombre
    Utiliser une sortie ayant nombre colonnes de texte dans le format côte-à-côte. Veuillez noter que pour des raisons historiques, cette option est -W dans diff et -w dans sdiff.

-W  Ignorer les espaces blanches lors de la comparaison de lignes. Veuillez noter que pour des raisons historiques, cette option est -w dans diff et -W dans sdiff.

CODE DE RETOUR
Un code de retour valant 0 signifie qu'aucune différence n'a été trouvée, 1 signifie que des différences sont apparues, 2 indique une erreur.

VOIR AUSSI
cmp(1), comm(1), diff(1), diff3(1)

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 sdiff ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.